#!/bin/bash

#rpmbuildDir="/run/media/jpc/SanDisk_JPC/distributions/soc/9/rpmbuild"
 rpmbuildDir="/dsk/l2/distributions/soc/9/rpmbuild"
 githashfull="07b6da32b4c47519cfe6f02146a3fc099fbcdcbe"
     githash="07b6da3"

 if [ ! -d ${rpmbuildDir} ]; then
   echo "[ERROR] \"${rpmbuildDir}\" doesn\'t exists."
   exit 1
 fi
 cd ${rpmbuildDir}

 pushd ./SOURCES/ghdl
 git archive --format tar.gz -o ../ghdl-${githash}.tar.gz --prefix=ghdl-${githashfull}/ ${githash}
 popd

 rpmbuild -ba --clean \
          --define "githash ${githash}" \
          --without llvm \
          SPECS.SoC/ghdl.spec
 #rpmbuild -bi --short-circuit \
 #         --define "githash ${githash}" \
 #         --without llvm \
 #         SPECS.SoC/ghdl.spec
